Measurement (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.measurement.server.session.Measurement class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.measurement.server.session
Class Measurement

    java.lang.Object
      org.hyperic.hibernate.PersistedObject
          org.hyperic.hq.measurement.server.session.Measurement

All Implemented Interfaces:
  java.io.Serializable, ContainerManagedTimestampTrackable

    public class Measurement

extends PersistedObject
implements ContainerManagedTimestampTrackable, java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`Measurement()`
`Measurement(java.lang.Integer instanceId, MeasurementTemplate template)`
`Measurement(java.lang.Integer instanceId, MeasurementTemplate template, long interval)`

Method Summary
`boolean` | `allowContainerManagedCreationTime()` Define the management policy for the creation time.
`boolean` | `allowContainerManagedLastModifiedTime()` Define the management policy for the last modified time.
`boolean` | `equals(java.lang.Object obj)`
`int` | `getAppdefType()`
`protected java.util.Collection` | `getAvailabilityData()`
`Baseline` | `getBaseline()`
`java.util.Collection` | `getBaselines()`
`protected java.util.Collection` | `getBaselinesBag()`
`java.lang.String` | `getDsn()`
`AppdefEntityID` | `getEntityId()`
`java.lang.Integer` | `getInstanceId()`
`long` | `getInterval()`
`long` | `getMtime()`
`Resource` | `getResource()`
`MeasurementTemplate` | `getTemplate()`
`int` | `hashCode()`
`boolean` | `isEnabled()`
`protected void` | `setAvailabilityData(java.util.Collection availabilityData)`
`void` | `setBaseline(Baseline b)`
`protected void` | `setBaselinesBag(java.util.Collection baselines)`
`protected void` | `setDsn(java.lang.String formula)`
`void` | `setEnabled(boolean enabled)`
`protected void` | `setInstanceId(java.lang.Integer instanceId)`
`protected void` | `setInterval(long interval)`
`protected void` | `setMtime(long mtime)`
`protected void` | `setTemplate(MeasurementTemplate template)`
`java.lang.String` | `toString()`

Methods inherited from class org.hyperic.hibernate.PersistedObject
`get_version_, getId, set_version_, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Measurement

    public Measurement()

### Measurement

    public Measurement(java.lang.Integer instanceId,
                       MeasurementTemplate template)

### Measurement

    public Measurement(java.lang.Integer instanceId,
                       MeasurementTemplate template,
                       long interval)

Method Detail

### allowContainerManagedCreationTime

    public boolean allowContainerManagedCreationTime()

  Description copied from interface: `ContainerManagedTimestampTrackable`
  Define the management policy for the creation time. If the creation time is set explicitly, an explicit management policy will be assumed always, regardless of the return value.

  Specified by:
    `allowContainerManagedCreationTime` in interface `ContainerManagedTimestampTrackable`
  Returns:
    `false` by default.
  See Also:
    `ContainerManagedTimestampTrackable.allowContainerManagedLastModifiedTime()`

### allowContainerManagedLastModifiedTime

    public boolean allowContainerManagedLastModifiedTime()

  Description copied from interface: `ContainerManagedTimestampTrackable`
  Define the management policy for the last modified time.

  Specified by:
    `allowContainerManagedLastModifiedTime` in interface `ContainerManagedTimestampTrackable`
  Returns:
    `true` by default.
  See Also:
    `ContainerManagedTimestampTrackable.allowContainerManagedLastModifiedTime()`

### getInstanceId

    public java.lang.Integer getInstanceId()

### setInstanceId

    protected void setInstanceId(java.lang.Integer instanceId)

### getTemplate

    public MeasurementTemplate getTemplate()

### setTemplate

    protected void setTemplate(MeasurementTemplate template)

### getMtime

    public long getMtime()

### setMtime

    protected void setMtime(long mtime)

### getResource

    public Resource getResource()

### isEnabled

    public boolean isEnabled()

### setEnabled

    public void setEnabled(boolean enabled)

### getInterval

    public long getInterval()

### setInterval

    protected void setInterval(long interval)

### getDsn

    public java.lang.String getDsn()

### setDsn

    protected void setDsn(java.lang.String formula)

### getEntityId

    public AppdefEntityID getEntityId()

### getAppdefType

    public int getAppdefType()

### setBaselinesBag

    protected void setBaselinesBag(java.util.Collection baselines)

### getAvailabilityData

    protected java.util.Collection getAvailabilityData()

### setAvailabilityData

    protected void setAvailabilityData(java.util.Collection availabilityData)

### getBaselinesBag

    protected java.util.Collection getBaselinesBag()

### getBaselines

    public java.util.Collection getBaselines()

### setBaseline

    public void setBaseline(Baseline b)

### getBaseline

    public Baseline getBaseline()

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `PersistedObject`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `PersistedObject`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.